OpenNMS API 1.2.9

## org.opennms.protocols.ip
Class IPHeader.RouteRecordOption

    java.lang.Object
      org.opennms.protocols.ip.IPHeader.Option
          org.opennms.protocols.ip.IPHeader.RouteOption
              org.opennms.protocols.ip.IPHeader.RouteRecordOption

Enclosing class:
  IPHeader

public static final class IPHeader.RouteRecordOption
extends IPHeader.RouteOption

This class represents the route record option that may be part of an IP header. The strict route record records a set of IP addresses that a packet has passed though. As the packet reaches each address the address is added to the the next element in the route.

Author:
  Brian Weaver , OpenNMS

Field Summary

Fields inherited from class org.opennms.protocols.ip.IPHeader.RouteOption
`m_addrs`

Fields inherited from class org.opennms.protocols.ip.IPHeader.Option
`CODE_END_OF_OPTION_LIST, CODE_LOOSE_SOURCE_ROUTE, CODE_ROUTE_RECORD, CODE_STRICT_SOURCE_ROUTE, m_code`

Constructor Summary
`(package private)` `IPHeader.RouteRecordOption()` Constructs an empty route record option
`` `IPHeader.RouteRecordOption(int capacity)` Constructs an empty route record with space for capacity addresses to be recoreded.
`` `IPHeader.RouteRecordOption(IPv4Address[] addrs)` Constructs a new instance with the give addresses set in the option header
`` `IPHeader.RouteRecordOption(java.util.List addrs)` Constructs a new instance with the given addresses stored in the option.

Methods inherited from class org.opennms.protocols.ip.IPHeader.RouteOption
`add, bytesRequired, iterator, size, writeBytes`

Methods inherited from class org.opennms.protocols.ip.IPHeader.Option
`getOptionClass, getOptionNumber, isOptionCopied`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IPHeader.RouteRecordOption

    IPHeader.RouteRecordOption()

  Constructs an empty route record option

### IPHeader.RouteRecordOption

    public IPHeader.RouteRecordOption(int capacity)

  Constructs an empty route record with space for capacity addresses to be recoreded. The capacity CANNOT exceed 9.

Parameters:
  `capacity` - The number of addresses to record, max = 9.

### IPHeader.RouteRecordOption

    public IPHeader.RouteRecordOption(IPv4Address[] addrs)

  Constructs a new instance with the give addresses set in the option header

Parameters:
  `addrs` - The list of addresses for the loose source route.
Throws:
  `java.lang.IndexOutOfBoundsException` - Thrown if the number of addresses is to large for the option

### IPHeader.RouteRecordOption

    public IPHeader.RouteRecordOption(java.util.List addrs)

  Constructs a new instance with the given addresses stored in the option.

Parameters:
  `addrs` - The list of addresses for the loose source route.
Throws:
  `java.lang.IndexOutOfBoundsException` - Thrown if the number of addresses is to large for the option

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.